/*
 * JBoss, Home of Professional Open Source.
 * Copyright (c) 2012, Red Hat, Inc., and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.common.beans.property;

/**
 * @author <a href="mailto:cdewolf@redhat.com">Carlo de Wolf</a>
 */
public class PropertyChangeEvent<T> extends java.beans.PropertyChangeEvent {

    /**
     *
     */
    private static final long serialVersionUID = -514527097496679097L;

    /**
     * Constructs a new <code>PropertyChangeEvent</code>.
     *
     * @param source       The bean that fired the event.
     * @param propertyName The programmatic name of the property
     *                     that was changed.
     * @param oldValue     The old value of the property.
     * @param newValue     The new value of the property.
     */
    public PropertyChangeEvent(Object source, String propertyName, T oldValue, T newValue) {
        super(source, propertyName, oldValue, newValue);
    }

    @Override
    public T getNewValue() {
        return (T) super.getNewValue();
    }

    @Override
    public T getOldValue() {
        return (T) super.getOldValue();
    }
}
